cppcms::form_flags Struct Reference

This struct holds various flags to control the HTML generation. More...

`#include <cppcms/form.h>`

Inheritance diagram for cppcms::form_flags:

## Public Types

enum | html_type { as_html = 0, as_xhtml = 1 }
enum | html_list_type { as_p = 0, as_table = 1, as_ul = 2, as_dl = 3, as_space = 4 }
enum | widget_part_type { first_part = 0, second_part = 1 }

## Detailed Description

This struct holds various flags to control the HTML generation.

## Member Enumeration Documentation

enum cppcms::form_flags::html_list_type

This enum represents the style for the widgets generation.

Enumerator
as_p | Render each widget using paragraphs.
as_table | Render each widget using table.
as_ul | Render each widget using unordered list.
as_dl | Render each widget using definitions list.
as_space | Render each widget using simple blank space separators.

enum cppcms::form_flags::html_type

This enum represents the HTML/XHTML switch.

Enumerator
as_html | render form/widget as ordinary HTML
as_xhtml | render form/widget as XHTML

enum cppcms::form_flags::widget_part_type

This special flag is used to partially generate a widget's HTML.

Enumerator
first_part | Render part 1: HTML attributes can be inserted after it.
second_part | Render part 2: complete part 1.

The documentation for this struct was generated from the following file:

- cppcms/form.h